package db.conn;

import java.sql.Connection;
import java.util.Properties;

public class AbstractConnectorFactory implements ConnectorFactory {

	public void initializeValues(Properties pProp) {
		//Do Nothing.
	}

	public void destroy() {
		//Do Nothing.		
	}
	
	public Connection getConnection() {
		//Do Nothing.
		return null;
	}
	
	public String toString() {		
		return getClass()+": No Connection";
	}	
	
}
