package org.bits.ec.entity;

import org.bits.ec.dbcon.DBQuery;

/**
 * Place Model.
 */
public class PlaceModel {

	/**
	 * Validates Place
	 */
	public int validatePlace(int pPlaceID) {
		return new DBQuery().validateEntity(new Integer(pPlaceID), "placeid",
				"place_table");
	}

	/**
	 * Place Name for Place ID
	 */
	public String getNameForID(int pPlaceID) {
		Object mObj = null;
		mObj = new DBQuery().fetchKeyEntity(new Integer(pPlaceID), "placeid",
				"placename", "place_table");
		if (mObj == null || !(mObj instanceof String))
			return "";
		return (String) mObj;
	}

}