package json.serialize.test.entity;

/**
 * An abstract car class for demonstration. It implements
 * <code>Vehicle</code> partially.
 */
public abstract class Car extends Vehicle {

	/**
	 * Returns the name of the car
	 * 
	 * @return name of Car
	 */
	public String getName(){
		return "Car";
	}

	/**
	 * Returns the travelling mode of the car
	 * 
	 * @return Travelling mode of Car
	 */
	public String getMode(){
		return "Land";
	}

}