package db.conn;

import java.sql.Connection;
import java.sql.SQLException;
import javax.sql.DataSource;

public class AbstractDataSourceConnectorFactory extends AbstractConnectorFactory implements DataSourceConnectorFactory {

	 public Connection getConnection() {
			Connection mCon=null;
			DataSource mDS=getDataSource();
			if(mDS!=null) {
				try{
					mCon=mDS.getConnection();
				} catch (SQLException eSQLE) {
					eSQLE.printStackTrace(); 
				}
			}
			return mCon;
	}
		
	public DataSource getDataSource() {
		//Do Nothing.
		return null;
	}
	
}
