package org.bits.ec.dbcon;

/**
 * DB String Converter.
 */
public class DBConvert {
	/**
	 * Converts a String into a MySQL friendly Format.
	 */
	public String doDBConvert(String mStrOrig) {
		StringBuffer mStrb = new StringBuffer();
		int mIter = 0, mLength = 0;
		char mChar = 0;
		if (mStrOrig == null || "".equals(mStrOrig))
			;
		else {
			mLength = mStrOrig.length();
			for (; mIter < mLength; mIter++, mChar = 0) {
				mChar = mStrOrig.charAt(mIter);
				if (mChar == '\0')
					mStrb.append("\\0");
				else if (mChar == '\'')
					mStrb.append("\\\'");
				else if (mChar == '\"')
					mStrb.append("\\\"");
				else if (mChar == '\b')
					mStrb.append("\\b");
				else if (mChar == '\n')
					mStrb.append("\\n");
				else if (mChar == '\r')
					mStrb.append("\\r");
				else if (mChar == '\t')
					mStrb.append("\\t");
				else if (mChar == 26)
					mStrb.append("\\z");
				else if (mChar == '\\')
					mStrb.append("\\\\");
				else if (mChar == '%')
					mStrb.append("\\%");
				else if (mChar == '%')
					mStrb.append("\\_");
				else
					mStrb.append(mChar);
			}
		}
		return mStrb.toString();
	}

}