package org.bits.ec.entity;

import java.net.InetAddress;
import org.bits.ec.dbcon.DBQuery;

/**
 * IP Address Model.
 */
public class IPModel {

	/**
	 * Validates IP
	 */
	public int validateIP(String pAddressStr) {
		return new DBQuery().validateEntity(pAddressStr, "ipaddress",
				"ip_acl_table");
	}

	/**
	 * Validates IP
	 */
	public int validateIP(InetAddress pAddress) {
		return validateIP(pAddress.getHostAddress());
	}

}